/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2006-2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_kernel.h 619 2014-03-18 06:10:27Z nmir-saito $
 */

/*
 *  kernel.hΥåװ¸AT91SKYEYEѡ
 *
 *  Υ󥯥롼ɥեϡkernel.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤΥե򥤥󥯥롼
 *  ˡt_stddef.h󥯥롼ɤΤǡ˰¸Ƥ
 *  
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

/*
 *  ¸Ƕ̤ARMѡ
 */
#include "arm_gcc/common/core_kernel.h"

/*
 *  ݡȤ뵡ǽ
 */
#define TOPPERS_TARGET_SUPPORT_ENA_INT		/* ena_int򥵥ݡȤ */
#define TOPPERS_TARGET_SUPPORT_DIS_INT		/* dis_int򥵥ݡȤ */
#define TOPPERS_TARGET_SUPPORT_GET_UTM		/* get_utm򥵥ݡȤ */
/*
 *  ͥ٤ϰ
 */
#define TMIN_INTPRI        (-7)        /* ͥ٤κǾ͡ʺǹ͡*/
#define TMAX_INTPRI        (-1)        /* ͥ٤κ͡ʺ͡*/

/*
 *  ƥå
 */
#define TIC_NUME     1U            /* ƥåμʬ */
#define TIC_DENO     1U            /* ƥåμʬ */

/*
 *  °
 */
#define	TA_POSEDGE		0x04U		/* ݥƥ֥åȥꥬ */
#define	TA_LOWLEVEL		0x00U		/* ٥ȥꥬ */
#define	TA_HIGHLEVEL	0x08U		/* ϥ٥ȥꥬ */

/* 
 *  ȥ졼˴ؤ 
 *  륫󥿤Ѥ롥 
 */ 
#define TRACE_GET_TIM()   cycle_counter_get_current()

#endif /* TOPPERS_TARGET_KERNEL_H */
